org.apache.ignite.internal.pagemem.wal.record.delta

## Class PagesListSetPreviousRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.PagesListSetPreviousRecord

    public class PagesListSetPreviousRecord
    extends PageDeltaRecord

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`PagesListSetPreviousRecord(int cacheId, long pageId, long prevPageId)`

### Method Summary

Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`long` `previousPageId()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`cacheId, pageId, toString`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PagesListSetPreviousRecord

    public PagesListSetPreviousRecord(int cacheId,
                              long pageId,
                              long prevPageId)

Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `prevPageId` - Previous page ID.

### Method Detail

#### previousPageId

    public long previousPageId()

Returns:
  Previous page ID.

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                  long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017